grub-probe erroneously returns FAT UUID in lowercase

Bug #948716 reported by mikifin on 2012-03-07
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned
Precise
High
Unassigned

Bug Description

Here is the scenario/s:

About a month ago I tried to setup Ubuntu using wubi. The install went well and I installed ubuntu to H partition there where three others C, E (HP TOOLS) OEM D (recovery) OEM and H the drive I setup for the Ubuntu install. I rebooted after the install and got the boot menu chose ubuntu and got this message (machine and config listed below):

Try (hd0,0): no wubildr
Try (hd0,1) no wubildr
Try (hd0,2): error: "prefix" is not set

I wiped the machine and reinstalled the OEM image and did the same setup and configuration to pick up a re-install later. I did setup Ubuntu to an external drive and boot to it using the BIOS to direct the computer to boot from the external drive. This works fine so I assume that the files are delivered and correct. I installed from a download ISO and installed it from disk.

I have an HP G62 with Windows 7 Home Premium and I went to the Ubuntu site and downloaded the wubi setup software three days ago 3/3/12. Again the install when well. I got the boot menu, I can boot into Win7 no problems. When I boot into Ubuntu I get these messages:

Try (HD 0,0) NTFS: no wubildr
Try (HD 0,1) NTFS: Error: "prefix" is not set.

When I wait a couple of minutes I get:
Gave up waiting for Root device.
Common problems:
Boot args (cat/proc/cmdline) etc. etc. (lists causes)
Check root etc. etc. (list causes)
Missing modules etc. etc.

Alert! /DEV/disk/by-ucid/1a16-46e4 does not exist
dropping to shell Busybox v1.18.4

initramfs

The good thing is I have windows still working. The bad thing is I can't over-install, or un-install without a lot of hassle unless I become a boot manager mogul and hand build the boot strap.

What I have done is use easyBCD to look around and it reports this:

There are a total of 2 entries listed in the bootloader.

Default: Windows 7
Timeout: 10 seconds
EasyBCD Boot Device: C:\

Entry #1
Name: Windows 7
BCD ID: {current}
Drive: C:\
Bootloader Path: \Windows\system32\winload.exe

Entry #2
Name: Ubuntu
BCD ID: {40b8ef84-5951-11e0-810e-f72a342c7c90}
Drive: H:\
Bootloader Path: \ubuntu\winboot\wubildr.mbr

From the boot manager's point of view I have ubuntu installed to the right partition and I checked wubildr is there and so is a ubuntu folder. I checked the windows side and all the files and folders are in the right place.

 I checked the message boards and no one seems to have a good handle on what to do to fix the issue.

If indeed easyBCD is correct the boot strap can't find the wubildr folder, whether the other files are installed in the ubuntu folder that are needed to get it up and running are in place I don't know.

1. The version I think is 2 ubuntu2 or 11.04.1
2. I would assume that with the time line above and the fact that I am using your wubi install you will know what versions and packages. I can't get the windows tools to tell me what version of Ubuntu was downloaded by wubi. I can't get into ubuntu or I would give that information to you. HINT: maybe you could add this stuff to the windows property sheets so troubleshooting would be easier.
3. I downloaded wubi, ran it and what happened is listed above.
4. I can't boot to Ubuntu
5. What happened is listed above

Finally, if you labelled the folders instead of grub to grub 2 and added information that the windows system can see you could get more information i.e. label the ubuntu folder ubuntu 11.04.1 or such and put in information that would register on the windows property sheet we could help you better.

Obviously this is a severe level one bug. If you can install and get the OS up and running and don't provide for a painless un-install.

Related branches

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/948716/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → wubi

Fabio, I tried to find out what version, I am assuming it is the default version of Ubuntu that comes when you just click on the download button on the Ubuntu site. I got the 64 bit version (I have a 64 bit architecture system) I can't get into the Ubuntu side of the system and the Windows side doesn't see any identifying information i.e. I see a grub folder but it isn't labelled say grub 2, which I think is the bootloader of choice now. I tried looking into the ubuntu folder and there is no package information on or in any of the folders. Sorry.

mikifin (mikifinaz1) wrote :

I did another wipe HD and image install with another wubi install, no joy. Same problem. I did some more looking around and it seems that the wubildr folder is on each partition. When I look into the folders some of them are empty. I went into the ubuntu\winboot\wubildr.mbr folder and changed the (try) lines. What happened is I didn't get the system dropping into the shell. So, I think that everything is working up to the folders installed the the H drive but they are either broken or the scripts can't find the necessary bits.

I am going to wipe the system again tonight and try an install of wubi to the C:\ hd0,0? drive and see if it works. If it does then we will know that the basic operation is good and that trying to install to another partition other than the main windows "root" C:\ is causing the problem. Right now I am installing to the H partition.

bcbc (bcbc) wrote :

Please can you boot from an Ubuntu CD, select "Try Ubuntu" and, once the desktop appears, drop to a terminal (Ctrl+Alt+T) and get the output of:
sudo parted -l
sudo fdisk -l
sudo blkid

( -l = lower case -L)
Thanks

Changed in wubi:
status: New → Incomplete
Download full text (3.7 KiB)

Hi,

I got your information, it was quite and adventure trying to work the PC back into original condition and figure out how to get the text file across the Win7/Ubuntu divide and across 32 bit /64 bit architecture. I downloaded Ubuntu 10.43 64 bit, burned it to a disk, ran the disk checker and then loaded Ubuntu following your directions.

There are some artifacts in the output that I have here but I trust you can ignore them and still get the information you need. I also had to "format" it the best I could so if you see a couple of out of place line breaks etc. that's me not the output. So here it is.

sudo parted -l

Model: ATA ST9250410AS (scsi)
Disk /dev/sda: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags

1 1049kB 210MB 209MB primary ntfs boot

2 210MB 119GB 119GB primary ntfs

3 119GB 250GB 131GB extended lba

5 119GB 235GB 116GB logical ntfs

6 235GB 250GB 14.7GB logical ntfs

7 250GB 250GB 108MB logical fat32

Warning: Unable to open /dev/sr0 read-write (Read-only file system).
/dev/sr0
has been opened read-only.
Error: /dev/sr0: unrecognised disk label

sudo fdisk -l

Disk /dev/sda: 250.1 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x9ae57a8b

Device Boot Start End Blocks Id System
/dev/sda1 * 1 26 203776 7 HPFS/NTFS
Partition 1 does not end on cylinder boundary.
/dev/sda2 26 14449 115856792+ 7 HPFS/NTFS
/dev/sda3 14450 30402 128135967+ f W95 Ext'd (LBA)
/dev/sda5 14450 28604 113700006 7 HPFS/NTFS
/dev/sda6 28605 30389 14326784 7 HPFS/NTFS
/dev/sda7 30389 30402 105624 b W95 FAT32

 sudo blkid
/dev/loop0: TYPE="squashfs"
/dev/sda1: LABEL="SYSTEM" UUID="C23EFA203EFA0D63" TYPE="ntfs"
/dev/sda2: UUID="B842FF5842FF19B8" TYPE="ntfs"
/dev/sda5: UUID="01CCFD7B27A3C230" TYPE="ntfs"
/dev/sda6: LABEL="RECOVERY" UUID="48D470D5D470C72A" TYPE="ntfs"
/dev/sda7: LABEL="HP_TOOLS" UUID="BABA-634F" TYPE="vfat"

If you need anything more let me know. I have noticed a couple of things however. One is that the OEM computer makers are making their disks dynamic. Two I had to get EASEUS partition manager to convert the disk to static and then change some of the partitions to logical/extended partitions so that I could prepare the hard drive to install another operating system. I was going to include the system information file that Windows can deliver, but that gives you massive amounts of "stuff", probably more info. that you need. I am going to try installing from WUBI on the disk again. This time I will use the wubi installer on the disk instead of trying to do a direct download install using wubi. I am also going to put it on the C:\drive with Windows instead of a ba...

Read more...

The problem is incorrect root= kernel argument in grub.cfg created by Wubi: it uses lowercase uuid while udev creates uppercase uuid symlinks for both FAT and NTFS. (Look at blkid output in comment and the error message in the initial report. I know there is no exact match but I bet that's due to reinstalls.)

To work-around this bug one can change the root UUID to uppercase using grub edit command. After that one should be able to boot. Then go to the terminal and issue 'sudo update-grub' command. I think this should help.

Alternatively you can try to find grub.cfg on your Windows drives and edit it (change root=UUID= to be in uppercase).

Regards, Ilya.

Colin Watson (cjwatson) wrote :

@IlyaY: Well, that sounds like bug 695290, which is fixed as of Ubuntu 11.04 (and in updates to earlier releases), yet the original report here mentions Ubuntu 11.04. @mikifin, could you please confirm for sure which version of Ubuntu you were trying to install here?

IlyaY (ilya-yanok) wrote :

@Colin Watson: Unfortunately I don't have this bug myself, I'm just trying to help some guy on russian newsgroup. I'm not sure what version he is using but I assume it's 11.10. I don't think it's exactly bug 695290 -- probably grub-probe (and thus grub-mkconfig) works correctly in Linux. But the problem is initial grub.cfg generated by wubi in Windows. That sounds like wubi bug to me, though I know nothing about wubi internals.

Even in the context of Wubi, grub.cfg is generated using grub-mkconfig
which calls grub-probe; it is never generated from Windows. The only
exception is the initial hand-written wubildr.cfg, which does not
include any FAT or NTFS UUIDs and so isn't relevant here.

Well, I'm not a wubi expert and I don't even have Windows machine to try it myself but are you saying that initial boot configuration (used for first boot) doesn't contain any UUIDs? Looking at the error message provided by mikifin I think that's not the case:

Alert! /DEV/disk/by-ucid/1a16-46e4 does not exist

So it really tries to mount root by uuid. And it's the first boot so grub-mkconfig had no chance to run on Linux at this point.

IlyaY (ilya-yanok) wrote :

I have a theory. Looking at the sources it looks like wubildr-disk.cfg file is used for the first boot and it has the following command:

probe --set=diskuuid -u $diskroot

that makes grub to detect UUID at boot-time. Can't it be that wubi installs wubildr with bug 695290 unfixed? So that probe command works incorrectly.

IlyaY (ilya-yanok) wrote :

Uh, sorry for being blind and noisy. Actually it's not bug 695290 but a very similar one: 695290 is about NTFS and now FAT is affected. There is a patch for this in upstream grub:
------------------------------------------------------------
revno: 3482
committer: Vladimir 'phcoder' Serbinenko <email address hidden>
branch nick: grub
timestamp: Tue 2011-10-25 21:53:57 +0200
message:
        * grub-core/fs/fat.c (grub_fat_uuid): Make uppercase to match Linux.
------------------------------------------------------------
But version in Ubuntu 11.10 is still unfixed:

$ sudo grub-probe -d /dev/sdc1 -t fs_uuid
7c13-5bcb

affects: wubi → grub
IlyaY (ilya-yanok) on 2012-03-14
summary: - Ubuntu boot failure from wubi install, again, and again
+ grub-probe erroneously returns FAT UUID in lowercase
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

IlyaY (ilya-yanok) on 2012-03-14
affects: grub (Ubuntu) → grub2 (Ubuntu)
Changed in grub2 (Ubuntu):
status: New → Confirmed
IlyaY (ilya-yanok) on 2012-03-14
no longer affects: grub2 (Ubuntu)
affects: grub → grub2 (Ubuntu)
Changed in grub2 (Ubuntu):
status: Incomplete → Confirmed
IlyaY (ilya-yanok) wrote :

I've added the branch that fixes that bug for Oneiric (it looks like Precise needs to be fixed too and probably some old releases).
Also I've rebuilt Wubi with fixed grub. @mikifin, could you test this version http://bazaar.launchpad.net/~ilya-yanok/+junk/wubi-build/view/head:/wubi.exe ?

mikifin (mikifinaz1) wrote :
Download full text (4.0 KiB)

I downloaded the file.

Let's review, so that I get you what you want. I am going to image the PC as it is. Wipe it and install Ubuntu using your file on a OEM Windows 7 system. This may take awhile, maybe several days.

First, I have to say that I was attempting to install 11.04 and installing the files to a back partition in my case H directly from the Ubuntu site not with a CD/DVD.

Now, this is the process I used initially and I will repeat it using your new file. I opened a network connection from a Windows 7 Home Premium OS, downloaded wubi from the Ubuntu site and ran it on my desktop and it appeared that wubi went onto the internet and downloaded the files from Ubuntu for the 11.04 version and installed them to the H drive. The Windows boot menu appeared, I selected Ubuntu and next a "grub2?" boot menu appeared and I selected Ubuntu and it failed.

I got an email from bcbc and followed his email to collect the information he needed and passed on to Ilya.

Since that time I did three things. I investigated the issue from the windows side. First I discovered that the Windows system was setup on a dynamic drive. Then second I discovered that I had to shift the drive to a static drive to install another OS and did that. I then discovered (as is common on most OEM computers like Dell) that they fill up the drive with primary partitions so that you can't install another type of operating system. It seems Windows systems only allow four primary partitions, so third I turned two of the partitions to extended partition, which gave me the ability to install another OS.

One point, mostly for Windows users, the windows operating system will only trigger the (you must change some of your partitions to extended partitions to add another primary partition [you need to do this to add another operating system]) warning ONCE, so if you miss this warning you can chase your tail all day and not be able to add Linux and not know why. In preparation for doing a more conservative install of an older version of Linux I did this.

I decided to backstep to 10.43 and changed the partitioning as described above and then installed the Ubuntu files using a downloaded Ubuntu image ISO on a DVD and used the wubi.exe in the image and directed the installer to put the files on the C or primary partition (sda0?) instead of a back partition and it worked like a charm. This tells us that there isn't anything in the hardware creating the problem and nothing intrinsic with Windows 7 and all its patches to cause the problem.

So to recap, I am going to install the OEM Windows 7 image. THIS TIME I am going to go through all the hard drive changes, FIRST, (this may have triggered the UUID detection process) with the target for the installed Linux files being loaded and installed to the back partition DIRECTLY from the web image of the latest version of Ubuntu (I am assuming here that the wubi installer and Ubuntu version are set to install the latest stable version of Ubuntu directly from the Ubuntu site). Letting the wubi installer go onto the Ubuntu site and download the Ubuntu files from the site and install them to the back drive as I tried to do initi...

Read more...

Download full text (3.4 KiB)

Hi Mike,

I will try to answer your questions.

On Thu, Mar 15, 2012 at 10:22 AM, mikifin <email address hidden> wrote:

> Let's review, so that I get you what you want. I am going to image the
> PC as it is. Wipe it and install Ubuntu using your file on a OEM Windows
> 7 system. This may take awhile, maybe several days.
>

You ought not to this, I'm pretty sure that the bug is fixed now so only to
this if you really wish to and have time. Probably you don't need to wipe
everything, installing copy of Ubuntu to H:\ drive seems to be good enough
test to me.

> First, I have to say that I was attempting to install 11.04 and
> installing the files to a back partition in my case H directly from the
> Ubuntu site not with a CD/DVD.
>

Yes, I understood. H: drive is the one with FAT filesystem, right? (that's
the key point). I just realized that the version I uploaded would install
Ubuntu 12.04. I'm sorry but I don't know the proper way to create wubi for
older releases. I've changed isolist.ini file to match 11.04 and uploaded
the new version to the same location. You can try it (it will say that it's
going to install 12.04 but that's not true -- it will try with 11.04) but I
can't guarantee it will work correctly -- don't use it unless you have time
for another iteration.

Now, this is the process I used initially and I will repeat it using
> your new file. I opened a network connection from a Windows 7 Home
> Premium OS, downloaded wubi from the Ubuntu site and ran it on my
> desktop and it appeared that wubi went onto the internet and downloaded
> the files from Ubuntu for the 11.04 version and installed them to the H
> drive. The Windows boot menu appeared, I selected Ubuntu and next a
> "grub2?" boot menu appeared and I selected Ubuntu and it failed.
>

That sounds reasonable.

> Since that time I did three things. I investigated the issue from the
> windows side. First I discovered that the Windows system was setup on a
> dynamic drive. Then second I discovered that I had to shift the drive to
> a static drive to install another OS and did that. I then discovered (as
>

Uh. So, had you done this conversion (dynamic to basic) before trying Wubi?
Actually Linux supports dynamic disks but grub2 does not so one can't boot
Ubuntu system from dynamic disk.

> is common on most OEM computers like Dell) that they fill up the drive
> with primary partitions so that you can't install another type of
> operating system. It seems Windows systems only allow four primary
>

That's generic partition table limitation not Windows one.

> partitions, so third I turned two of the partitions to extended
> partition, which gave me the ability to install another OS.
>

That's ok but please note that you can skip this if you are going to use
Wubi -- it doesn't need separate partition.

> I decided to backstep to 10.43 and changed the partitioning as
>

Uh? What's 10.43?

> described above and then installed the Ubuntu files using a downloaded
> Ubuntu image ISO on a DVD and used the wubi.exe in the image and
> directed the installer to put the files on the C or primary partition
> (sda0?) instead of a back partition and it worked like a charm. This
>
...

Read more...

Colin Watson (cjwatson) on 2012-03-19
Changed in grub2 (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in grub2 (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 1.99-18ubuntu1

---------------
grub2 (1.99-18ubuntu1) precise; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust for default Ubuntu boot options ("quiet splash").
    - Default to hiding the menu; holding down Shift at boot will show it.
    - Set a monochromatic theme and an appropriate background for Ubuntu.
    - Apply Ubuntu GRUB Legacy changes to legacy update-grub script.
    - Fix backslash-escaping in merge_debconf_into_conf.
    - Remove "GNU/Linux" from default distributor string.
    - Add crashkernel option.
    - Bypass menu unless other OSes are installed or Shift is pressed.
    - Allow Shift to interrupt 'sleep --interruptible'.
    - Reduce visual clutter in normal mode.
    - Remove verbose messages printed before reading configuration.
    - Suppress kernel/initrd progress messages, except in recovery mode.
    - Show the boot menu if the previous boot failed.
    - Don't generate device.map during grub-install or grub-mkconfig.
    - Adjust upgrade version checks for Ubuntu.
    - Suppress "GRUB loading" message unless Shift is held down.
    - Adjust versions of grub-doc and grub-legacy-doc conflicts.
    - Fix LVM/RAID probing in the absence of /boot/grub/device.map.
    - Look for .mo files in /usr/share/locale-langpack first.
    - Build-depend on qemu-kvm rather than qemu-system for grub-pc tests.
    - Check hardware support before using gfxpayload=keep.
    - Put second and subsequent Linux menu entries in a submenu.
    - Preferred resolution detection for VBE.
    - Set vt.handoff=7 for smooth handoff to kernel graphical mode.
    - Update default/grub.md5sum to include maverick's default md5sum.
    - In recovery mode, add nomodeset to the Linux kernel arguments, and
      remove the 'set gfxpayload=keep' command.
    - Skip Windows os-prober entries on Wubi systems, and suppress the menu
      by default if those are the only other-OS entries.
    - Handle probing striped DM-RAID devices.
    - Replace 'single' by 'recovery' when friendly-recovery is installed.
    - Use qemu -no-kvm in tests for now to work around LP #947597.
    - Disable cursor as early as possible in grub_main.

grub2 (1.99-18) unstable; urgency=low

  [ Colin Watson ]
  * Ensure that /sbin and /usr/sbin are in $PATH when running tests (closes:
    #662916).
  * mkconfig_loopback.patch: Use different GRUB loop devices for different
    OS loop devices (thanks, bcbc; LP: #888281).
  * Backport from upstream:
    - Add support for LZO compression in btrfs (LP: #727535).
    - Fix efiemu configure check.

  [ Ilya Yanok ]
  * Backport from upstream:
    - Make FAT UUID uppercase to match Linux (LP: #948716).

  [ Debconf translations ]
  * Norwegian Bokmål (Hans Fredrik Nordhaug).
  * Gujarati (Kartik Mistry). Closes: #663542
 -- Colin Watson <email address hidden> Mon, 19 Mar 2012 20:00:22 +0000

Changed in grub2 (Ubuntu Precise):
status: Triaged → Fix Released
mikifin (mikifinaz1) wrote :

Hi all,

I have completed these tests with the new wubi file I got from Ilya.
1. I used it to "un-install" my current version of Ubuntu 10.40.3 (?) and that worked without a problem removing the bootstrap files so that Win7 boots correctly and removed the Ubuntu system files from the primary C drive.
2. I used the new wubi file to install version 12x of Ubuntu to my customized system and it worked flawlessly to install and uninstall Ubuntu to both the primary logical drive C and to a back partition as well.
3. I re-imaged and installed to an OEM system (after setting up the HDD in preparation- dynamic to static, and setting up extended partitions to free primary partition for Linux) and used the "new" wubi file without issue to install and un-install Ubuntu to the system both to the primary and back partitions.

I would say that the issue is fixed, I do have a couple of comments.

1. Labelling the folders of the installed files with version i.e. grub2 ver1.1 or Ubuntu 10.4.03 etc. on the installed system would help you and users keep track of what has been installed, particularly over time when trying to back track an issue. Worked well in the DOS Windows world, why not take advantage of this?
2. I think that a windows users rather than a newbie "corner" be setup so entry into Linux/Ubuntu in this case is easier. For instance, it has never been necessary for me to know that only four operating system primary partitions are possible or that it is practice for may manufacturers to take up all these partitions with all their "stuff" and thus make it impossible to mount up another OS. I can only find tangential mention of this whole area of computing on the web and most of it is from a professional point of view, not explanation for users. It is also not mentioned anywhere that the windows user needs to shift the system to a static drive setup, change the partitions etc. to add Linux in this case Ubuntu. To top this all off windows only mentions this "situation" in one warning box and only the first time the user "bumps" into this issue. I worked as a "black box" tester for companies in the Northwest like Microsoft and they had a system for handling this data. It took me months and scanning virtual reams of information to piece together this information (I am a little obsessive) from the web and the Ubuntu site. If you want more adopters, not just gear heads, or insomniacs like me to use Linux this whole area of finding the data needs to be addressed. For the time being I would add a link on your site with information like this directed specifically to Windows users, a running data sheet if you will.

Thanks, great working with you folks

Mike

IlyaY (ilya-yanok) wrote :

Hi Mike,

On Tue, Mar 20, 2012 at 1:21 AM, mikifin <email address hidden> wrote:

> I would say that the issue is fixed, I do have a couple of comments.
>

I'm glad things are working for you now.

> 1. Labelling the folders of the installed files with version i.e. grub2
> ver1.1 or Ubuntu 10.4.03 etc. on the installed system would help you and
> users keep track of what has been installed, particularly over time when
> trying to back track an issue. Worked well in the DOS Windows world, why
> not take advantage of this?
>

Well, it's wubi who makes the folders. Probably you should pass your
proposition to wubi developers.

> 2. I think that a windows users rather than a newbie "corner" be setup so
> entry into Linux/Ubuntu in this case is easier. For instance, it has never
> been necessary for me to know that only four operating system primary
> partitions are possible or that it is practice for may manufacturers to
> take up all these partitions with all their "stuff" and thus make it
> impossible to mount up another OS. I can only find tangential mention of
> this whole area of computing on the web and most of it is from a
> professional point of view, not explanation for users. It is also not
> mentioned anywhere that the windows user needs to shift the system to a
> static drive setup, change the partitions etc. to add Linux in this case
> Ubuntu. To top this all off windows only mentions this "situation" in one
> warning box and only the first time the user "bumps" into this issue. I
> worked as a "black box" tester for companies in the Northwest like
> Microsoft and they had a system for handling this data. It took me months
> and scanning virtual reams of information to piece together this
> information (I am a little obsessive) from the web and the Ubuntu site. If
> you want more adopters, not just gear heads, or insomniacs like me to use
> Linux this whole area of finding the data needs to be addressed. For the
> time being I would add a link on your site with information like this
> directed specifically to Windows users, a running data sheet if you will.
>

I think these are two separate issue. As for the 4 primary partitions
limit, I think everything is pretty good here: as I told before wubi
installations don't need any separate partition so they are not affected.
And if you are using Ubiquity (main Ubuntu installer) you only have two
choices: delete everything or do partitioning by hand. And in the latter
case you better know something about partitioning (or read the Installation
Guide) so 4 primary partitions limitation should be a problem.

As for the dynamic disks I think Wubi should detect this situation and stop
with an error.

Thanks for your feedback.

Regards, Ilya.

Rolf Leggewie (r0lf) wrote :

oneiric has seen the end of its life and is no longer receiving any updates. Marking the oneiric task for this ticket as "Won't Fix".

Changed in grub2 (Ubuntu Oneiric):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers